#
# Xenomai Real-Time System
#
# Copyright (c) Siemens AG, 2021-2024
#
# Authors:
#  Florian Bezdeka <florian.bezdeka@siemens.com>
#
# SPDX-License-Identifier: MIT
#

header:
  version: 14
  includes:
    - opt-debug.yml

# LAVA uses nfs to deploy the image to real boards. For this we need a tarball
# instead of full disk/wic image
# For qemu we need a compressed ext4 image

local_conf_header:
  xenomai-ci: |
    ROOTFS_POSTPROCESS_COMMAND:remove = "image_postprocess_sshd_key_regen"
    IMAGE_INSTALL += "customizations-ci"
    IMAGE_INSTALL:remove = "sshd-regen-keys"
    IMAGE_INSTALL:remove = "expand-on-first-boot"
    IMAGE_FSTYPES = "${@ 'ext4.gz' if d.getVar('MACHINE', True).startswith('qemu') else 'tar.gz' }"
